| Kea 3.0.2-git

flex_option.h File Reference
`#include <cc/data.h>`
`#include <cc/simple_parser.h>`
`#include <dhcp/classify.h>`
`#include <dhcp/libdhcp++.h>`
`#include <dhcp/option.h>`
`#include <dhcp/option_definition.h>`
`#include <dhcp/option_vendor.h>`
`#include <dhcp/std_option_defs.h>`
`#include <eval/evaluate.h>`
`#include <eval/token.h>`
`#include <util/str.h>`
`#include <boost/algorithm/string/split.hpp>`
`#include <boost/algorithm/string/classification.hpp>`
`#include <map>`
`#include <string>`
Include dependency graph for flex_option.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::flex_option::FlexOptionImpl
| Flex Option implementation. More...
class | isc::flex_option::FlexOptionImpl::OptionConfig
| Base option configuration. More...
class | isc::flex_option::FlexOptionImpl::SubOptionConfig
| Sub-option configuration. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::flex_option

## Typedefs
typedef boost::shared_ptr< FlexOptionImpl > | isc::flex_option::FlexOptionImplPtr
| The type of shared pointers to Flex Option implementations.